PHP Manual
Prev |  | Next

# sys_getloadavg

(no version information, might be only in CVS)

sys_getloadavg -- get average system load

## Description

array sys_getloadavg ( void )

This function returns three samples representing the average system load (the number of processes in the system run queue) over the last 1, 5 and 15 minutes, respectively.

> Note: This function is not implemented on Windows platforms.

## Return Values

Returns an array with three samples (last 1, 5 and 15 minutes).

## Examples

Example 1. A sys_getloadavg() example

`<?php $load = sys_getloadavg(); if ($load[0] > 80) { header('HTTP/1.1 503 Too busy, try again later'); die('Server too busy. Please try again later.'); } ?>`

Prev | Home | Next
sleep | Up | time_nanosleep